QGIS Application - Bug report #12699
Plugin Manager : Installed plugins list is not sorted
2015-05-06 02:24 AM - Harrissou Santanna

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20805
Description

In Plugin Manager, unlike the other tabs, the Installed tab shows the list of plugins in a weird order. Should better be sorted.

History

#1 - 2015-05-07 09:43 AM - Harrissou Santanna

Weird. After | report this issue, I'm no more able to reproduce it. All goes well.
May be closed and set as invalid unless someone confirms...

#2 - 2015-05-09 12:10 PM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

#3 - 2015-06-18 05:44 AM - Harrissou Santanna
- Status changed from Closed to Reopened

- File UnorderedlistPlugin2.png added

- File UnorderedlistPlugin.png added

I don't know if | have to reopen the issue (otherwise, what is reopening option for?) or create new issue but | reproduce the issue | reported above. | attach
two screenshots that show what happens.
However it's not a big issue because once | closed the dialog and reopened it, everything was well sorted.

Happen on an osgeo4w 64bits installed on win7 machine

#4 - 2015-06-18 06:09 AM - Borys Jurgiel

So does it happen incidentally, or all the time on this computer? If incidentally, are you able to recall that situation? Was it just after first opening the

Manager during that QGIS session, or after some installing/deinstalling (something that could change state of some plugins)?

#5 - 2015-06-20 08:18 AM - Harrissou Santanna

Not all the time, | hadn't remarked this since my previous report. The day | got it, It was :

- the first time | launch QGIS since the computer was ON

- the first time opening the plugin manager

- and | upgraded some plugins.
| can't tell what is related to this bug but I'll watch and report if | can reproduce it.

2025-05-18 12




#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#7 - 2017-11-23 10:35 AM - Borys Jurgiel

Is it still valid? | was never able to reproduce it...

#8 - 2017-11-23 10:44 AM - Harrissou Santanna

- Status changed from Reopened to Closed

Me neither. Closing.
